<?php
/****************************************/
/*                                      */
/*  百信卡盟平台联系QQ:84945491         */
/*  淘宝店 http://shop70674652.taobao.com  */
/*  百信卡盟 http://www.caipiaobus.com  */
/*                                      */
/****************************************/

widget( "head" );
include( $path_cache.DS."mod_b2b_Shared_head.php" );
echo "<object id=\"t1\" codeBase=\"";
echo $vd['sc'];
echo "tools/umebiz.cab\" classid=\"CLSID:B8748B60-E34D-42AA-9309-8012CA4964AC\" height=0 width=0 ></object>\r\n<input type=\"hidden\" id=\"mac\" name=\"mac\" value=\"\"/>\r\n<input type=\"hidden\" id=\"hde\" name=\"hde\"  value=\"\"/>\r\n<input type=\"hidden\" id=\"cpu\" name=\"cpu\"  value=\"\"/>\r\n";
$fp = fopen( $vd['sc']."tools/root.cer", "r" );
$cert = fread( $fp, 8192 );
fclose( $fp );
echo " \r\n";
echo "<s";
echo "cript type=\"text/JavaScript\">\r\nvar \$ = function(id){\r\n\treturn document.getElementById(id);\r\n}\r\nwindow.parent.document.getElementById(\"mac\").value = document.all.t1.GetMacAddr;\t\r\nwindow.parent.document.getElementById(\"cpu\").value = document.all.t1.GetCpuId;\t\r\nwindow.parent.document.getElementById(\"hde\").value = document.all.t1.GetHDE;\t\r\n\$(\"mac\").value = document.all.t1.GetMacAddr;\r\n\$(\"cpu\").value =";
echo " document.all.t1.GetCpuId;\r\n\$(\"hde\").value = document.all.t1.GetHDE;\r\nif(\$(\"mac\").value == \"\" || \$(\"mac\").value == \"undefined\")\r\n{\r\n  document.write('<object id=\"XEnroll\" classid=\"clsid:127698e4-e730-4e5c-a2b1-21490a70c8a1\" codebase=\"xenroll.dll\"></object>');\r\n}\r\n\r\n</script>\r\n";
echo "<s";
echo "cript language=\"vbscript\">\r\nON ERROR resume next\r\nsPKCS7=\"\"\r\nsPKCS7=sPKCS7 & \"-----BEGIN CERTIFICATE-----\" & vbcrlf\r\nsPKCS7=sPKCS7 & \"MIIDszCCApugAwIBAgIIJOG9OEqVKfgwDQYJKoZIhvcNAQEFBQAwZzELMAkGA1UE\" & vbcrlf\r\nsPKCS7=sPKCS7 & \"BhMCQ04xEDAOBgNVBAgTB0JlaWppbmcxEDAOBgNVBAcTB0JlaWppbmcxDjAMBgNV\" & vbcrlf\r\nsPKCS7=sPKCS7 & \"BAoTBUNBMzY1MSQwIgYDVQQDExtDQTM2NSBGcmVlIFJvb3QgQ2VydGlmaWNhdGUw\" & vbcrlf\r\nsPKC";
echo "S7=sPKCS7 & \"HhcNMDEwNTEyMDg0MDQxWhcNMzEwNTA1MDg0MDQxWjBnMQswCQYDVQQGEwJDTjEQ\" & vbcrlf\r\nsPKCS7=sPKCS7 & \"MA4GA1UECBMHQmVpamluZzEQMA4GA1UEBxMHQmVpamluZzEOMAwGA1UEChMFQ0Ez\" & vbcrlf\r\nsPKCS7=sPKCS7 & \"NjUxJDAiBgNVBAMTG0NBMzY1IEZyZWUgUm9vdCBDZXJ0aWZpY2F0ZTCCASIwDQYJ\" & vbcrlf\r\nsPKCS7=sPKCS7 & \"KoZIhvcNAQEBBQADggEPADCCAQoCggEBAOUJiqnKIVBDD5tPkx7i4vZh/mB3j+es\" & vbcrlf\r\nsPKCS7=sPKCS7 & \"yP5py6xw7f2wD2F";
echo "KWEx/LU0HmcZOUEkZR+e0d72gF135rB5fs4R/vW47vkFP70yW\" & vbcrlf\r\nsPKCS7=sPKCS7 & \"duk3Q98qeEBiCWj1oIqu63insQL2qJJ9+5xD3S38AWqxTpXzGLTrpvuJMNwAKJWq\" & vbcrlf\r\nsPKCS7=sPKCS7 & \"5RSMIbFl/yoCpgfVz+iIGP9gjf/+PJOF08ii6BOZFygRGkWY0c2PiuyBOXnyZccS\" & vbcrlf\r\nsPKCS7=sPKCS7 & \"NWFIVoWkRT4RyUU1ojjdbVj5zer0roHaCpkTRREf7+ZC3gUXEJOu2V7Mqp7oKPq/\" & vbcrlf\r\nsPKCS7=sPKCS7 & \"ZaslorsB1sKMyXWBWwIL9MsdHKlGYRdFDwW7FSbK/if";
echo "RFErOnk+6xzECAwEAAaNj\" & vbcrlf\r\nsPKCS7=sPKCS7 & \"MGEwHQYDVR0OBBYEFP5hdKPBS60rwHHDpaJMAAPZIMMcMA4GA1UdDwEB/wQEAwIB\" & vbcrlf\r\nsPKCS7=sPKCS7 & \"BjAfBgNVHREEGDAWhhRodHRwOi8vd3d3LmNhMzY1LmNvbTAPBgNVHRMBAf8EBTAD\" & vbcrlf\r\nsPKCS7=sPKCS7 & \"AQH/MA0GCSqGSIb3DQEBBQUAA4IBAQDMipz61e91bQhVeGXC9CdnG+DBoHWw2Lxs\" & vbcrlf\r\nsPKCS7=sPKCS7 & \"pbRLq3BXKh05uhJ2fvP50aqLOJV4iw5qb6YITW8LvSYf6tfgXPj+axwP84ukBgYg\" & vbc";
echo "rlf\r\nsPKCS7=sPKCS7 & \"29FcfWbVKW6PxQllGTi2LgvExTp6Aq8HTDDri5ElUItvGtDRAjKNgTASemzDtpuf\" & vbcrlf\r\nsPKCS7=sPKCS7 & \"OIFhom9Y6JPkxUfOSOWHfV18Tx2X5OJLcD/hqp5cb6f5C9YN6kl4Jz7/kZO1aiP0\" & vbcrlf\r\nsPKCS7=sPKCS7 & \"0Vmdf5wqLLavqEozhg0ZNbdgzvVJnleGpFYnj2ZbKLcdm7wUl0/JfC4/wIfRaSTB\" & vbcrlf\r\nsPKCS7=sPKCS7 & \"6k0u/zp4yTkexhb1rOVHKdHUIyC3/uq4afQcSwGTA1Hb47+jtdOd\" & vbcrlf\r\nsPKCS7=sPKCS7 & \"-----END CERTIFICA";
echo "TE-----\" & vbcrlf\r\n";
$newcert = "sPKCS7=\"\"\r\n";
$line = strtok( $cert, "\r\n" );
while ( $line )
{
				$newcert = $newcert."     sPKCS7=sPKCS7 & \"".$line."\" & vbcrlf\r\n";
				$line = strtok( "\r\n" );
}
echo $newcert;
echo " \r\nXEnroll.InstallPKCS7 sPKCS7 \r\n</script>\r\n\r\n";
widget( "foot" );
include( $path_cache.DS."mod_b2b_Shared_foot.php" );
?>
